| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
ZXID
ZXID.Configuration
ZXID.Configuration()->Session

# Method ZXID.Configuration()->Session()->authenticate()

Method authenticate

  `string authenticate(string query)`

Description

  Authenticate via SAML given the query-string query .

Returns

  Returns JSON-encoded data on success, and various other strings otherwise.

Method authenticate

  `mixed authenticate(string|mapping(string:string) query)`

Description

  Authenticate via SAML given the query-string query .

Returns

  `mapping(string:string)` | Returns a mapping when interaction with the browser is needed.
  `string` | Returns a string to ask for some specific actions.
  `zero` | Returns `0` (zero) on successfull authentication. auth_info will be set with the corresponding user information.

Throws

  Throws errors on most error conditions.